FieldActivator (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.impl.xs.identity

## Interface FieldActivator

- All Known Implementing Classes:
    XMLSchemaValidator

      public interface FieldActivator

  Interface for a field activator. The field activator is responsible for activating fields within a specific scope; the caller merely requests the fields to be activated.
  Version:
    $Id: FieldActivator.java 520039 2007-03-19 18:34:38Z mrglavas $
  Author:
    Andy Clark, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XPathMatcher` | `activateField(Field field, int initialDepth)` Request to activate the specified field.
    `void` | `endValueScopeFor(IdentityConstraint identityConstraint, int initialDepth)` Ends the value scope for the specified identity constraint.
    `void` | `startValueScopeFor(IdentityConstraint identityConstraint, int initialDepth)` Start the value scope for the specified identity constraint.

- - ### Method Detail

    - #### startValueScopeFor

          void startValueScopeFor(IdentityConstraint identityConstraint,
                                int initialDepth)

      Start the value scope for the specified identity constraint. This method is called when the selector matches in order to initialize the value store.
      Parameters:
        `identityConstraint` - The identity constraint.
        `initialDepth` - the depth at which the selector began matching

    - #### activateField

          XPathMatcher activateField(Field field,
                                   int initialDepth)

      Request to activate the specified field. This method returns the matcher for the field.
      Parameters:
        `field` - The field to activate.
        `initialDepth` - the 0-indexed depth in the instance document at which the Selector began to match.

    - #### endValueScopeFor

          void endValueScopeFor(IdentityConstraint identityConstraint,
                              int initialDepth)

      Ends the value scope for the specified identity constraint.
      Parameters:
        `identityConstraint` - The identity constraint.
        `initialDepth` - the 0-indexed depth where the Selector began to match.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.